| Flutter Impeller |

Public Types | Public Member Functions | Public Attributes | List of all members
impeller::Glyph Struct Reference

The glyph index in the typeface. More...

`#include <glyph.h>`

## Public Types
enum | Type : uint8_t { Type::kPath, Type::kBitmap }

## Public Member Functions
| Glyph (uint16_t p_index, Type p_type)

## Public Attributes
uint16_t | index = 0
Type | type = Type::kPath
| Whether the glyph is a path or a bitmap. More...

## Detailed Description

The glyph index in the typeface.

Definition at line 16 of file glyph.h.

## Member Enumeration Documentation

## ◆ Type

enum impeller::Glyph::Type : uint8_t
| strong

Enumerator
kPath |
kBitmap |

Definition at line 17 of file glyph.h.

17 : uint8_t {
18 kPath,
19 kBitmap,
20 };

## Constructor & Destructor Documentation

## ◆ Glyph()

impeller::Glyph::Glyph | ( | uint16_t | p_index,
|  | Type | p_type
| ) |  |
| inline

Definition at line 29 of file glyph.h.

29 : index(p_index), type(p_type) {}

## Member Data Documentation

## ◆ index

uint16_t impeller::Glyph::index = 0

Definition at line 22 of file glyph.h.

Referenced by impeller::CanAppendToExistingAtlas(), impeller::ComputeGlyphSize(), impeller::DrawGlyph(), std::hash< impeller::Glyph >::operator()(), std::equal_to< impeller::Glyph >::operator()(), std::less< impeller::Glyph >::operator()(), std::hash< impeller::SubpixelGlyph >::operator()(), std::equal_to< impeller::SubpixelGlyph >::operator()(), and impeller::testing::TEST_P().

## ◆ type

Type impeller::Glyph::type = Type::kPath

Whether the glyph is a path or a bitmap.

Definition at line 27 of file glyph.h.

Referenced by std::hash< impeller::Glyph >::operator()(), std::equal_to< impeller::Glyph >::operator()(), and std::equal_to< impeller::SubpixelGlyph >::operator()().

The documentation for this struct was generated from the following file:

- impeller/typographer/glyph.h

impeller::Glyph::index
uint16_t index
Definition: glyph.h:22
impeller::Glyph::type
Type type
Whether the glyph is a path or a bitmap.
Definition: glyph.h:27